当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [求助]在ubuntu8.04下安装软件的问题
帖子发表于 : 2009-03-04 13:48 

注册: 2009-03-04 12:26
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
各位大侠,小弟新手,初用ubuntu,刚装好系统,无奈怎么也安装不了软件,用gdebi-gtk 安装deb文件时报错误wrong:architecture'i386',安装rpm文件是我用命令:rpm -ivh stardict-3.0.1-1.fc8.i386.rpm
结果报错误:
rpm: To install rpm packages on Debian systems, use alien. See README.Debian.
error: cannot open Packages index using db3 - 没有该文件或目录 (2)
error: 无法打开包数据库 /var/lib/rpm
请教各位大侠是不是我系统里边有什么东西没有安装,怎么会出现这种问题


页首
 用户资料  
 
2 楼 
 文章标题 : Re: [求助]在ubuntu8.04下安装软件的问题
帖子发表于 : 2009-03-04 14:17 
头像

注册: 2008-06-08 13:31
帖子: 361
地址: 福州
送出感谢: 0 次
接收感谢: 1
呃……首先,如果一定要安装rpm包,要用alien软件,不过不推荐。
你安装的可能是amd64版的ubuntu,和你要安装的软件采用的i386构架不同,需要下载amd64构架的相应软件或者下载源代码自行编译安装


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [求助]在ubuntu8.04下安装软件的问题
帖子发表于 : 2009-03-04 14:34 

注册: 2009-03-04 12:26
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
upsuper 写道:
呃……首先,如果一定要安装rpm包,要用alien软件,不过不推荐。
你安装的可能是amd64版的ubuntu,和你要安装的软件采用的i386构架不同,需要下载amd64构架的相应软件或者下载源代码自行编译安装

果然高手阿,俺的确暗抓姑娘的是amd64版的ubuntu,需要在哪下载相应的软件阿


页首
 用户资料  
 
4 楼 
 文章标题 : Re: [求助]在ubuntu8.04下安装软件的问题
帖子发表于 : 2009-03-04 14:48 
头像

注册: 2008-06-08 13:31
帖子: 361
地址: 福州
送出感谢: 0 次
接收感谢: 1
cheapskate 写道:
upsuper 写道:
呃……首先,如果一定要安装rpm包,要用alien软件,不过不推荐。
你安装的可能是amd64版的ubuntu,和你要安装的软件采用的i386构架不同,需要下载amd64构架的相应软件或者下载源代码自行编译安装

果然高手阿,俺的确暗抓姑娘的是amd64版的ubuntu,需要在哪下载相应的软件阿

那个就不知道了……
不过如果通过apt安装大概都是会自动识别好框构架的


页首
 用户资料  
 
5 楼 
 文章标题 : Re: [求助]在ubuntu8.04下安装软件的问题
帖子发表于 : 2009-03-04 14:57 

注册: 2008-02-25 20:07
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
暂时用这个源吧,快!然后要什么软件就apt-get

deb http://ubuntu.uestc.edu.cn/ubuntu/ intrepid main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ intrepid-backports main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ intrepid-proposed main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ intrepid-security main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ hardy-updates main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu/ intrepid main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu/ intrepid-backports main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu/ intrepid-proposed main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu/ intrepid-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu/ intrepid-updates main restricted universe multiverse

## Medibuntu - Ubuntu 8.04 "hardy"
## Please report any bug on https://bugs.launchpad.net/medibuntu/
deb http://packages.medibuntu.org/ hardy free non-free

尽量不要RPM的


页首
 用户资料  
 
6 楼 
 文章标题 : Re: [求助]在ubuntu8.04下安装软件的问题
帖子发表于 : 2009-03-04 15:05 

注册: 2009-03-04 12:26
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
谢谢,大哥


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译